﻿@model IEnumerable<DP.Administration.Models.Navbar>

<!-- Navigation -->
<div id="sidebar-wrapper">
    <ul class="sidebar-nav nav-pills nav-stacked" id="menu">
        <li class="active">
            <a href="javascript:void(0)"  data-route="/user/index"><span class="fa-stack fa-lg pull-left"><i class="fa fa-users fa-stack-1x "></i></span>Users</a>
        </li>

        <li>
            <a href="javascript:void(0)" data-route="/database"><span class="fa-stack fa-lg pull-left"><i class="fa fa-database fa-stack-1x "></i></span>Database</a>
        </li>
        <li>
            <a href="javascript:void(0)" data-route="/offer/index"> <span class="fa-stack fa-lg pull-left"><i class="fa fa-tag fa-stack-1x "></i></span>Offers</a>
        </li>
        <li>
            <a href="javascript:void(0)" data-route="/pda/index"> <span class="fa-stack fa-lg pull-left"><i class="fa fa-comment fa-stack-1x "></i></span>PDA</a>
        </li>
        <li>
            <a href="javascript:void(0)" data-route="/insurance/index"> <span class="fa-stack fa-lg pull-left"><i class="fa fa-child fa-stack-1x "></i></span>Insurance</a>
        </li>
        <li>
            <a href="javascript:void(0)" data-route="/poll/index"> <span class="fa-stack fa-lg pull-left"><i class="fa fa-bullhorn fa-stack-1x "></i></span>Poll</a>
        </li>
    </ul>
</div>

<script>

    $("a[data-route]").on('click', function () {
        localStorage.setItem("active-menu", $(this).attr("data-route"));
        window.location.href = $(this).attr("data-route");
        //$("#page-wrapper").load($(this).attr("data-route"))
    })

    $("#menu-toggle").click(function (e) {
        e.preventDefault();
        $('.navbar-fixed-top li.active').attr("style", "width:250px !important")
        $("#wrapper").toggleClass("toggled");
    });

    $("#menu-toggle-2").click(function (e) {
        e.preventDefault();
        $('#menu ul').hide();
        $("#wrapper, .navbar-fixed-top li.active").toggleClass("toggled-2");

        //if ($("#wrapper").hasClass("toggled-2")) {
        //    localStorage.setItem("side-menu-mode", "toggled-2");
        //} else {
        //    localStorage.setItem("side-menu-mode", "");
        //}
    });

    function initMenu() {
        $('#menu ul').hide().children('.current').parent().show();
       
        $('#menu li a').click(
          function () {
              var checkElement = $(this).next();
              if ((checkElement.is('ul')) && (checkElement.is(':visible'))) {
                  return false;
              }
              if ((checkElement.is('ul')) && (!checkElement.is(':visible'))) {
                  $('#menu ul:visible').slideUp('normal');
                  checkElement.slideDown('normal');
                  return false;
              }
          });
    }
    $(document).ready(function () {

        if (localStorage.getItem("active-menu") != null) {
            $(".sidebar-nav").find("li.active").removeClass("active");
            var _r = localStorage.getItem("active-menu");
            $("a[data-route='" + _r + "']").parent().addClass("active");
        }

        initMenu();
    });
</script>